# norootforbuild

Name: 		qsstv
Summary: 	qsstv is an sstv app 
Version: 	5.3c
Release: 	1
License: 	GPL
Group: 		Productivity/Hamradio/Digital
Source: 	%{name}-%{version}.tar.gz
Patch:  	qsstv_config_guess.diff	
Patch1:		qsstv_config_sub.diff
Patch2:		qsstv_qsstv_repeater_cpp.diff
%if 0%{?suse_version} > 1030
Patch3:		qsstv_repeater_2.diff
%endif
BuildRoot: 	%{_tmppath}/build-root-%{name}
Packager: 	DL9PF  <dl9pf@gmx.de>
Distribution: 	%distribution
Prefix: 	/usr
Url: 		http://
#Vendor: Yourvendor <if needed>

# Installation dependency requirements
##########################
## SUSE, SLES, openSUSE ##
##########################
#%if 0%{?suse_version} 
#Requires: gtk2
#%endif
#%if 0%{?suse_version} == 1020
#Requires: 
#%endif
#%if 0%{?suse_version} == 1010
#Requires: 
#%endif
#%if 0%{?suse_version} == 1000
#Requires: 
#%endif
#%if 0%{?suse_version} == 930
#Requires: 
#%endif
#%if 0%{?sles_version} == 10
#Requires: 
#%endif
#%if 0%{?sles_version} == 9 
#Requires: 
#%endif

##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version} == 4
Requires: 
%endif
%if 0%{?fedora_version} == 5
Requires: 
%endif
%if 0%{?fedora_version} == 6 
Requires: 
%endif

##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version} == 2006
Requires: 
%endif
%if 0%{?mandriva_version} == 2007
Requires: 
%endif

# Build dependency requirements
##########################
## SUSE, SLES, openSUSE ##
##########################
%if 0%{?suse_version}
BuildRequires: qt3 qt3-devel libjpeg libjpeg-devel
%endif
#%if 0%{?suse_version} == 1020
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 1010
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 1000
#BuildRequires:  
#%endif
#%if 0%{?suse_version} == 930
#BuildRequires:  
#%endif
#%if 0%{?sles_version} == 10
#BuildRequires:  
#%endif
#%if 0%{?sles_version} == 9
#BuildRequires:  
#%endif

##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version} == 4
BuildRequires:  
%endif
%if 0%{?fedora_version} == 5 
BuildRequires:  
%endif
%if 0%{?fedora_version} == 6
BuildRequires:  
%endif
##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version} == 2006
BuildRequires:  
%endif
%if 0%{?mandriva_version} == 2007
BuildRequires:  
%endif

%description
qsstv

#%package -n %{name}-data
#Summary: Data files used by the bongo system
#Group: Servers/Messaging
#Requires: %{name} = %{version}
#Provides: %{name}-data = %{version}
#
#%description -n %{name}-data
#Data files used by the bongo system

%prep
rm -rf $RPM_BUILD_ROOT 
mkdir $RPM_BUILD_ROOT


%setup -q
%patch -p1
%patch1 -p1
%patch2 -p1
%if 0%{?suse_version} > 1030
%patch3 -p1
%endif


%build
#mv configure configure2
#aclocal
#autoheader
#autoconf
#automake
#mv configure configure2
#cat configure2 | sed -e 's!/usr/share/qt3!/usr/lib64/qt3!' > configure
#chmod u+x configure
#cat configure | grep /usr/lib/qt3


%configure --prefix=%{prefix} --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} --sysconfdir=%{_sysconfdir} --with-qt-libraries=/usr/%_lib/qt3/%_lib  \
%ifarch x86_64 ppc64 s390x   
--enable-libsuffix=64  
%endif

tail -n51 config.log

# ./configure --prefix=%{prefix} --libdir=%_libdir
make

%install
mkdir -p $RPM_BUILD_ROOT/etc/init.d
make DESTDIR=$RPM_BUILD_ROOT install

cd $RPM_BUILD_ROOT

%post
#Copy the default apache config to the correct directory

##########################
## SUSE, SLES, openSUSE ##
##########################
%if 0%{?suse_version}
%endif
##########################
##     Fedora Core      ##
##########################
%if 0%{?fedora_version}
%endif
##########################
##       Mandriva       ##
##########################
%if 0%{?mandriva_version}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %{name}
%defattr(-,root,root,0755)

%{prefix}/bin/
%{prefix}/share/%{name}/
#%{prefix}/man/man1/
%doc AUTHORS ChangeLog COPYING Doxyfile INSTALL README TODO

